gr-baz Package

baz_burster.h File Reference
`#include <boost/thread/thread.hpp>`
`#include <string>`
`#include <vector>`
`#include <map>`
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/msg_queue.h>`
`#include <pmt/pmt.h>`
`#include "baz_burster_config.h"`
Include dependency graph for baz_burster.h:

Go to the source code of this file.

## Classes
class | baz_burster
| burster a stream of floats. More...

## Functions
BAZ_API baz_burster_sptr | baz_make_burster (const baz_burster_config &config)
| Return a shared_ptr to a new instance of baz_burster.

## Variables
class BAZ_API | baz_burster

## Function Documentation

## ◆ baz_make_burster()

BAZ_API baz_burster_sptr baz_make_burster | ( | const baz_burster_config & | config | ) |

Return a shared_ptr to a new instance of baz_burster.

To avoid accidental use of raw pointers, baz_burster's constructor is private. baz_make_burster is the public interface for creating new instances.

References BAZ_API.

## Variable Documentation

## ◆ baz_burster

class BAZ_API baz_burster